package body MSHTML.IHTMLOptionElement3_Object is

   procedure Put_label
     (This : IHTMLOptionElement3_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLOptionElement3_Put_label,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_label;

   function Get_label
     (This : IHTMLOptionElement3_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLOptionElement3_Get_label);
   end Get_label;

end MSHTML.IHTMLOptionElement3_Object;

